# Podsystemy platform bezzałogowych

Celem tego laboratorium jest zaznajomienie z oprogramowaniem oraz sprzętem wykorzystywanym przy tworzeniu robotów. Laboratorium podzielone zostało na 4 bloki tematyczne, które skupiają się na ważnych aspektach zagadnień związanych z platformami bezzałogowymi.

## Laboratorium 0
**Opis**: W tym ćwiczeniu należy na swoim komputerze zainstalować środowisko Visual Studio Code oraz program NoMachine, które będą podstawowymi narzędziemi do zdalnej pracy na komputerze jednoukładowym z zainstalowanym środowiskiem Linux.

**Instrukcja**: [lab00/README.md](lab00/README.md)

**Wynik**: Po wykonaniu tego ćwiczenia uczestnik kursu będzie posiadał narzędzia i umiejętności do zdalnej pracy z komputerem jednoukładowym z systemem Linux (tworzenie katalogów/plików/repozytorium git/oprogramowania oraz połączenie zdalnego pulpitu)

## Laboratorium 1
### Komputery jednoukładowe do systemów sterowania
**Opis**: W tym ćwiczeniu przedstawione zostaną podstawowe zagadnienia związane z oprogramowaniem ROS. Ponadto uczestnik połączy komputer jednoukładowy z zewnętrznym układem arduino i oprogramuje element wykonawczy i sensor w taki sposób, aby sterowanie i dane z sensora były dostępne na komputerze głównym.

**Instrukcja**: [lab01/README.md](lab01/README.md)

**Wynik**: Po wykonaniu tego ćwiczenia uczestnik kursu będzie posiadał wiedzę jak tworzy się oprogramowanie dla robotów w środowisku ROS. Ponadto będzie w stanie połączyć elementy fizyczne jak efektory czy sensory z oprogramowaniem komputerowym.  

## Laboratorium 2
### Obsługa sieci bezprzewodowych
**Opis**: W tym ćwiczeniu przedstawione zostaną podstawowe zagadnienia związane z sieciami bezprzewodowymi. Ponadto uczestnik połączy komputer jednoukładowy z zewnętrznym układem ESP i oprogramuje element wykonawczy w taki sposób, aby sterowanie i dane z sensora były dostępne na komputerze głównym z wykorzystaniem połączenia WiFi.

**Instrukcja**: [lab02/README.md](lab02/README.md)

**Wynik**: Po wykonaniu tego ćwiczenia uczestnik kursu będzie posiadał wiedzę jak bezprzewodowy Acces Point (AP). Ponadto będzie w stanie połączyć sensor do utworzonego AP oraz wymieniac dane pomiędzy sensorem a komputerem jednoukładowym. 

## Laboratorium 3
### Sensory bezprzewodowej detekcji przeszkód
**Opis**: W tym ćwiczeniu przedstawione zotaną podstawowe zagadnienia związane z zaawansowanymi sensorami bezprzewodowej detekcji przeszkód. Uczestnik uruchomi sensory przy pomocy jednoukładowego komputera i przetworzy uzyskiwane dane.

**Instrukcja**: [lab03/README.md](lab03/README.md)

**Wynik**: Po wykonaniu tego ćwiczenia uczestnik kursu będzie posiadał wiedzę jak korzystać z bardziej zaawansowanych sensorów detekcji przeszków oraz jak tworzyć mapy przestrzeni w 2D i 3D. 

## Laboratorium 4
### Systemy nawigacji zliczeniowej i inercyjnej
**Opis**: Ostatnie ćwiczenie będzie poświęcone nawigacji zliczeniowej i zagadnienia transformacji układów współrzędnych. Dodatkowo ćwiczenie wykorzystuje platformę pixhawk do uzyskiwania danych inercyjnych. 

**Instrukcja**: [lab04/README.md](lab04/README.md)

**Wynik**: Po wykonaniu tego ćwiczenia uczestnik kursu będzie posiadał wiedzę jak korzystać z nawigacji zliczeniowej oraz jakie zastosowanie ma w przypadku pełnego systemu nawigacji robota. Ponadto uczestnik zapozna się z platformą pixhawk będącą układem sterowania dla pojazdów naziemnych, wodnych i powietrznych.

